<?php echo $header; ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="box">
  <div class="left"></div>
  <div class="right"></div>
  <div class="heading">
    <h1 style="background-image: url('view/image/payment.png');"><?php echo $heading_title; ?></h1>
    <div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
  </div>
  <div class="content">
    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
      <table class="form">
        <tr>
          <td><?php echo $entry_status; ?></td>
          <td><select name="worldnethpp_status">
              <?php if ($worldnethpp_status) { ?>
              <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
              <option value="0"><?php echo $text_disabled; ?></option>
              <?php } else { ?>
              <option value="1"><?php echo $text_enabled; ?></option>
              <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_gateway; ?></td>
          <td><select name="worldnethpp_gateway">
              <?php if ($worldnethpp_gateway == 'payments') { ?>
              <option value="payments" selected="selected"><?php echo $text_worldnet; ?></option>
              <?php } else { ?>
              <option value="payments"><?php echo $text_worldnet; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_gateway == 'cashflows') { ?>
              <option value="cashflows" selected="selected"><?php echo $text_cashflows; ?></option>
              <?php } else { ?>
              <option value="cashflows"><?php echo $text_cashflows; ?></option>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_test; ?></td>
          <td><select name="worldnethpp_test">
              <?php if ($worldnethpp_test == '1') { ?>
              <option value="1" selected="selected"><?php echo $text_true; ?></option>
              <?php } else { ?>
              <option value="1"><?php echo $text_true; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_test == '0') { ?>
              <option value="0" selected="selected"><?php echo $text_false; ?></option>
              <?php } else { ?>
              <option value="0"><?php echo $text_false; ?></option>
              <?php } ?>
           </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_currency1; ?></td>
          <td><select name="worldnethpp_currency1">
              <?php if ($worldnethpp_currency1 == 'EUR') { ?>
              <option value="EUR" selected="selected"><?php echo $currency_eur; ?></option>
              <?php } else { ?>
              <option value="EUR"><?php echo $currency_eur; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_currency1 == 'GBP') { ?>
              <option value="GBP" selected="selected"><?php echo $currency_gbp; ?></option>
              <?php } else { ?>
              <option value="GBP"><?php echo $currency_gbp; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_currency1 == 'USD') { ?>
              <option value="USD" selected="selected"><?php echo $currency_usd; ?></option>
              <?php } else { ?>
              <option value="USD"><?php echo $currency_usd; ?></option>
              <?php } ?>
           </select></td>
        </tr>
        <tr>
          <td><span class="required">*</span> <?php echo $entry_terminal1; ?></td>
          <td><input type="text" name="worldnethpp_terminal1" value="<?php echo $worldnethpp_terminal1; ?>" />
            <?php if ($error_terminal1) { ?>
            <span class="error"><?php echo $error_terminal1; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><span class="required">*</span> <?php echo $entry_secret1; ?></td>
          <td><input type="text" name="worldnethpp_secret1" value="<?php echo $worldnethpp_secret1; ?>" />
            <?php if ($error_secret1) { ?>
            <span class="error"><?php echo $error_secret1; ?></span>
            <?php } ?></td>
        </tr>
        <tr>
          <td><?php echo $entry_currency2; ?></td>
          <td><select name="worldnethpp_currency2">
              <?php if ($worldnethpp_currency2 == 'EUR') { ?>
              <option value="EUR" selected="selected"><?php echo $currency_eur; ?></option>
              <?php } else { ?>
              <option value="EUR"><?php echo $currency_eur; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_currency2 == 'GBP') { ?>
              <option value="GBP" selected="selected"><?php echo $currency_gbp; ?></option>
              <?php } else { ?>
              <option value="GBP"><?php echo $currency_gbp; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_currency2 == 'USD') { ?>
              <option value="USD" selected="selected"><?php echo $currency_usd; ?></option>
              <?php } else { ?>
              <option value="USD"><?php echo $currency_usd; ?></option>
              <?php } ?>
           </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_terminal2; ?></td>
          <td><input type="text" name="worldnethpp_terminal2" value="<?php echo $worldnethpp_terminal2; ?>" />
            </td>
        </tr>
        <tr>
          <td><?php echo $entry_secret2; ?></td>
          <td><input type="text" name="worldnethpp_secret2" value="<?php echo $worldnethpp_secret2; ?>" />
            </td>
        </tr>
        <tr>
          <td><?php echo $entry_currency3; ?></td>
          <td><select name="worldnethpp_currency3">
              <?php if ($worldnethpp_currency3 == 'EUR') { ?>
              <option value="EUR" selected="selected"><?php echo $currency_eur; ?></option>
              <?php } else { ?>
              <option value="EUR"><?php echo $currency_eur; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_currency3 == 'GBP') { ?>
              <option value="GBP" selected="selected"><?php echo $currency_gbp; ?></option>
              <?php } else { ?>
              <option value="GBP"><?php echo $currency_gbp; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_currency3 == 'USD') { ?>
              <option value="USD" selected="selected"><?php echo $currency_usd; ?></option>
              <?php } else { ?>
              <option value="USD"><?php echo $currency_usd; ?></option>
              <?php } ?>
           </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_terminal3; ?></td>
          <td><input type="text" name="worldnethpp_terminal3" value="<?php echo $worldnethpp_terminal3; ?>" />
            </td>
        </tr>
        <tr>
          <td><?php echo $entry_secret3; ?></td>
          <td><input type="text" name="worldnethpp_secret3" value="<?php echo $worldnethpp_secret3; ?>" />
            </td>
        </tr>
        <tr>
          <td><?php echo $entry_order_status; ?></td>
          <td><select name="worldnethpp_order_status_id">
              <?php foreach ($order_statuses as $order_status) { ?>
              <?php if ($order_status['order_status_id'] == $worldnethpp_order_status_id) { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
              <?php } else { ?>
              <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
              <?php } ?>
              <?php } ?>
            </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_send_receipt; ?></td>
          <td><select name="worldnethpp_send_receipt">
              <?php if ($worldnethpp_send_receipt == '1') { ?>
              <option value="1" selected="selected"><?php echo $text_yes; ?></option>
              <?php } else { ?>
              <option value="1"><?php echo $text_yes; ?></option>
              <?php } ?>
              <?php if ($worldnethpp_send_receipt == '0') { ?>
              <option value="0" selected="selected"><?php echo $text_no; ?></option>
              <?php } else { ?>
              <option value="0"><?php echo $text_no; ?></option>
              <?php } ?>
           </select></td>
        </tr>
        <tr>
          <td><?php echo $entry_sort_order; ?></td>
          <td><input type="text" name="worldnethpp_sort_order" value="<?php echo $worldnethpp_sort_order; ?>" size="1" /></td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php echo $footer; ?>
